### Function

# Vte install_termprop

since: 0.78

#### Declaration [src]

    int
    vte_install_termprop (
      const char* name,
      VtePropertyType type,
      VtePropertyFlags flags
    )

#### Description [src]

Installs a new terminal property that can be set by the application.

`name` must follow the rules for termprop names as laid out above; it must have at least 4 components, the first two of which must be “vte”, and “ext”. Use the `VTE_TERMPROP_NAME_PREFIX` macro which defines this name prefix.

You should use an identifier for your terminal as the first component after the prefix, as a namespace marker.

It is a programming error to call this function with a `name` that does not meet these requirements.

It is a programming error to call this function after any `VteTerminal` instances have been created.

It is a programming error to call this function if the named termprop is already installed with a different type or flags.

Available since: 0.78

#### Parameters

`name`

  Type: `const char*`

  A namespaced property name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`type`

  Type: `VtePropertyType`

  A `VtePropertyType` to use for the property.

`flags`

  Type: `VtePropertyFlags`

  Flags from `VtePropertyFlags`.

#### Return value

Type: `int`

An ID for the termprop.